Package Details: revelation 0.4.14-7

Git Clone URL: https://aur.archlinux.org/revelation.git (read-only)
Package Base: revelation
Description: A password manager for the GNOME desktop
Upstream URL: http://revelation.olasagasti.info/
Licenses: GPL
Submitter: ilpianista
Maintainer: lisu_ml
Last Packager: lisu_ml
Votes: 44
Popularity: 0.004314
First Submitted: 2010-11-13 15:25
Last Updated: 2018-09-02 20:39

Latest Comments

1 2 3 Next › Last »

lisu_ml commented on 2018-09-02 20:40

I have adopted the package and applied the patch submitted by @sviro as I wanted to have the package fixed, but if anyone is willing to keep the package maintained, let me know and I disown.

tchebb commented on 2018-09-02 16:08

I no longer use Revelation or have interest in maintaining this package, so I've orphaned it.

sviro commented on 2018-09-01 11:15

Hi, build is broken because of removed dependency pycrypto. This dependency needs to be changed to 'python2-crypto'.

Because of the dependency change, there needs to be done some code changes as well.

I have posted these changes as crypto.patch at https://pastebin.com/JKz3LzPJ

sha256sum of that patch should be 6ed410e83810a6cb44ac0e4828ba686fe8ee1a9a7743d7240dcdc038ad15927c

tchebb commented on 2017-02-06 21:58

@snark.real: Thanks! I've fixed that specific issue, so it should build again. On closer inspection, though, it looks like upstream's dependency list is quite out-of-date, so I wouldn't be surprised if there were more dependency issues lurking in this package. namcap is also complaining about some python2/python3 issues. If you or anyone else wants to take over maintenance of this package, just let me know and I'll orphan it; otherwise, I'll fix issues as they crop up, but I don't really have the time to dig through the source and fix issues proactively right now.

snark.real commented on 2017-01-31 06:47

Build is broken because of gnome dependency, but one can be safely removed from configure.

I have posted new version of the cracklib.patch at http://pastebin.com/XP5iTDY0
New sha256sum of that patch is a56dad740c5bf2279df70190fb62f2c8b008096a96d6f1f5262c5884cf1eef0e

gbc921 commented on 2015-08-19 05:55

Dependency is back again:
https://aur.archlinux.org/packages/python2-crack/

We should be good to go for compiling revelation again.

Sorry for the trouble,
Sincerely,

Flesh commented on 2015-08-17 17:31

Dependency python2-crack does not seem to be in AUR any longer, nor is it in packages.

tchebb commented on 2015-01-25 17:13

Thanks, chdorb. Don't know how I missed that.

chdorb commented on 2015-01-25 16:48

Please split your build() fonction into build() and package() fonctions.

caevaroy commented on 2014-11-27 03:53

Is it necessary to have gnome-python as a dependency? It installs a lot that isnt needed.

http://revelation.olasagasti.info/developers.php

this url shows the only dependencies should be
Gtk+ 2.8 , GLib 2.16 , Python 2.3 , PyGTK+ 2.8 , dbus